
/*
 *  GETUSER.C
 */

#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include "config.h"

Prototype char *GetUserName(void);
Prototype char *GetRealName(void);

char *
GetUserName()
{
    static char username[64];
    char *user;

    if (username[0])
	return(username);
    if ((user = getenv("USERNAME")) || (user = getenv("USER"))) {
	strncpy(username, user, sizeof(username)-1);
	username[sizeof(username)-1] = 0;
	free(user);
	return(username);
    }
    return(FindConfig(USERNAME));
}


char *
GetRealName()
{
    static char realname[64];
    char *real;

    if (realname[0])
	return(realname);
    if (real = getenv("REALNAME")) {
	strncpy(realname, real, sizeof(realname)-1);
	realname[sizeof(realname)-1] = 0;
	free(real);
	return(realname);
    }
    return(FindConfig(REALNAME));
}

